Subject: Re: bug#40702: 28.0.50; (what-cursor-position) barfs on non-ASCII char

From: Štěpán Němec <[email-masked]>
Date: Sat, 18 Apr 2020 23:53:47 +0200

On Sat, 18 Apr 2020 14:27:39 -0700
Dima Kogan wrote:

> Hi. I'm using a very recent build of emacs from git. I see this:
>
> 1. emacs -Q
>    Fresh emacs. Opens in the *scratch* buffer
>
> 2. C-x 8 ' e
>    i.e. insert some non-ASCII character. Opening any buffer with such
>    characters works too
>
> 3. Left
>    Move the point to this character
>
> 4. C-x =
>    (what-cursor-position) to ask emacs to tell us about this character.
>    I see this:
>
>    cl--assertion-failed: Assertion failed: (not (multibyte-string-p str))

I can't reproduce this on current master (d890e5b73a Fix misnamed
variable breaking GNUstep)

GNU Emacs 28.0.50 (build 26, x86_64-pc-linux-gnu, GTK+ Version 3.24.17, cairo version 1.17.3)

-- 
Štěpán